## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface SybaseASABasePredefinedDataType

All Superinterfaces:
  DataType, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PredefinedDataType, SQLDataType, SQLObject

All Known Implementing Classes:
  SybaseASABasePredefinedDataTypeImpl, SybaseASACatalogBasePreDefinedType

    public interface SybaseASABasePredefinedDataType

extends PredefinedDataType, SQLDataType, DataType, SQLObject

A representation of the model object 'Sybase ASA Base Predefined Data Type'.

The following features are supported:

- `Database`

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABasePredefinedDataType()`

Method Summary
`SybaseASABaseDatabase` `getDatabase()` Returns the value of the 'Database' reference.
`void` `setDatabase(SybaseASABaseDatabase value)` Sets the value of the '`Database`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.PredefinedDataType
`getPrimitiveType, setPrimitiveType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDatabase

    SybaseASABaseDatabase getDatabase()

  Returns the value of the 'Database' reference. It is bidirectional and its opposite is '`Data Types`'.

  If the meaning of the 'Database' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Database' reference.
  See Also:
    `setDatabase(SybaseASABaseDatabase)`, `SybaseasabasesqlmodelPackage.getSybaseASABasePredefinedDataType_Database()`, `SybaseASABaseDatabase.getDataTypes()`

### setDatabase

    void setDatabase(SybaseASABaseDatabase value)

  Sets the value of the '`Database`' reference.

  Parameters:
    `value` - the new value of the 'Database' reference.
  See Also:
    `getDatabase()`